apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arfrever Frehtes Taifersar Arahesis <arfrever....@gmail.com>
Subject Re: [PATCH] Add support for Berkeley DB 4.8
Date Sat, 19 Sep 2009 14:30:53 GMT
2009-09-19 01:52:35 Neil Conway napisaƂ(a):
> On Fri, Sep 18, 2009 at 4:13 PM, Arfrever Frehtes Taifersar Arahesis
> <arfrever.fta@gmail.com> wrote:
> > I'm attaching the patch which adds support for Berkeley DB 4.8. The patch
> > should be applied to APR trunk (2.0) and 1.4.x and 1.3.x branches of APR-Util.
> 
> I notice that the configure support for DB 4.0, 4.1, and 4.2 checks
> under /usr/local by default, e.g.
> 
>     places="std /usr/local /usr/local/BerkeleyDB.4.2 /boot/home/config"
> 
> whereas support for DB >= 4.3 does not, e.g.
> 
>     places="std /usr/local/BerkeleyDB.4.3 /boot/home/config"
> 
> Is there a rationale for this inconsistency?

You should ask a person who added support for >=4.3 :) .
I simply copied 4.7-related code and replaced "7" with "8".

I have also successfully rebuilt Subversion with Berkeley DB 4.8 and run
Subversion tests. All tests passed.

-- 
Arfrever Frehtes Taifersar Arahesis

Mime
View raw message